[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TItemProp.ReadOnly

Indicates if the value for the item can be changed.

## Declaration

Source position: valedit.pas line 51

`published property TItemProp.ReadOnly : Boolean read FReadOnly write SetReadOnly;`

## Description

ReadOnly is a Boolean property which indicates if the value for the item can be changed in TValueListEditor. When ReadOnly is True, the value for the item cannot be changed. Changing the value in ReadOnly causes the TValueListEditor (which owns the item) to be redrawn when its EditorMode is True.

## See also

TValueListEditor.ItemProps |  | Provides indexed access to item definitions in the control.
TValueListEditor.Values |  | Provides indexed access to Values stored in the control.
TCustomStringGrid.EditorMode |  | True when the Editor is ready to modify the value for the current cell.